# Errors

JOSE errors.

exception `acme.jose.errors.``Error`

  Bases: `exceptions.Exception`

  Generic JOSE Error.

exception `acme.jose.errors.``DeserializationError`

  Bases: `acme.jose.errors.Error`

  JSON deserialization error.

exception `acme.jose.errors.``SerializationError`

  Bases: `acme.jose.errors.Error`

  JSON serialization error.

exception `acme.jose.errors.``UnrecognizedTypeError`(typ, jobj)

  Bases: `acme.jose.errors.DeserializationError`

  Unrecognized type error.

  Variables:

  - typ (str) – The unrecognized type of the JSON object.
  - jobj – Full JSON object.